Bug 785268 - cleaning a re-deployment with a edited file fails
cleaning a re-deployment with a edited file fails
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Provisioning (Show other bugs)
4.2
Unspecified Unspecified
unspecified Severity high (vote)
: ---
: RHQ 4.3.0
Assigned To: John Mazzitelli
Mike Foley
:
Depends On:
Blocks: 790079
  Show dependency treegraph
 
Reported: 2012-01-27 15:15 EST by John Mazzitelli
Modified: 2013-09-01 06:14 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 790079 (view as bug list)
Environment:
Last Closed: 2013-09-01 06:14:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Mazzitelli 2012-01-27 15:15:04 EST
1) deploy a bundle that has a file in it - foo.txt.
2) edit foo.txt after its laid down on the destination directory
3) re-deploy the same bundle you did in step 1 BUT make it a "clean deployment" (check the clean option in the bundle deploy wizard).

What should happen is foo.txt should be reverted back to what it looks like in the bundle. However, what happens is foo.txt gets outright deleted and missing after the second deployment completes.
Comment 1 John Mazzitelli 2012-01-27 16:56:57 EST
git commit to master: 657f2f2

this includes the fix and some unit tests to show it working
Comment 2 John Mazzitelli 2012-01-31 09:39:25 EST
the use-case here was the drift remediation demo that jay s produced and a feature that ian/lukas promoted earlier.

The concept is that you deploy a bundle, and someone changes a file that was laid down. Drift gets detected due to that change and that drift triggers an alert which then invokes an alert CLI script which turns around and does a clean deployment of the same bundle.

When that sequence of events happens, this bug is hit.
Comment 3 Heiko W. Rupp 2013-09-01 06:14:24 EDT
Bulk closing of items that are on_qa and in old RHQ releases, which are out for a long time and where the issue has not been re-opened since.

Note You need to log in before you can comment on or make changes to this bug.